PDA

View Full Version : The following modules failed to load: Storable [SOLVED]



Michael Carland
2005-04-06, 19:22
--- Michael Carland <mcarland (AT) yahoo (DOT) com> wrote:

> Hello,
>
> I am trying to upgrade to 6.0.1, and am running into a problem.

<snip>

> When I try and run slimserver.pl, the following error is printed:
>
> The following modules failed to load: Storable
>

<snip>

Well, I don't know what went wrong, but I went into the Storable-2.12
directory that I installed from, and tried "make -n install" to see what
it wanted to do. There were plans to install in /usr/local/lib/perl/5.6.1,
which made more sense than the darwin I was seeing before. However "find .
-name Storable.pm" in the Perl lib directory came up empty.

Anyway, hand ran a "make install" in the Storable-2.12 directory, found
the libs in /usr/local/lib/perl/5.6.1, fired up slimserver, and all is
well.

I must give kudos to the devs. My 350MHz K6-3 slimserver would cause my
squeezeboxen to lose the server when slimserver scanned my music folder
under 5.3.1. With 6.0.1, the web server is a pretty slow (not a
complaint), but not only do the boxen see the server during the scan, one
was playing, and another upgraded firmware, all without a hickup.

Most excellent.

Thanks

-Michael




__________________________________
Yahoo! Messenger
Show us what our next emoticon should look like. Join the fun.
http://www.advision.webevents.yahoo.com/emoticontest